import { Signer, ContractFactory, Overrides } from "ethers";
import type { Provider, TransactionRequest } from "@ethersproject/providers";
import type { PromiseOrValue } from "../../../../../common";
import type { MerkleProof, MerkleProofInterface } from "../../../../../@openzeppelin/contracts/utils/cryptography/MerkleProof";
declare type MerkleProofConstructorParams = [signer?: Signer] | ConstructorParameters<typeof ContractFactory>;
export declare class MerkleProof__factory extends ContractFactory {
    constructor(...args: MerkleProofConstructorParams);
    deploy(overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<MerkleProof>;
    getDeployTransaction(overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): TransactionRequest;
    attach(address: string): MerkleProof;
    connect(signer: Signer): MerkleProof__factory;
    static readonly bytecode = "0x608060405234601957604051603f9081601f823930815050f35b600080fdfe6080604052600080fdfea264697066735822122055ccd2b35c0d7ed7ffff1c54035a81896bc16bcd7a69a74ff171e4bc29c6629d64736f6c63430008140033";
    static readonly abi: {
        inputs: never[];
        name: string;
        type: string;
    }[];
    static createInterface(): MerkleProofInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): MerkleProof;
}
export {};
